void main( void )
{
 int &guy;
 int &what;
 &what = random(3,1);
 //Spawn the guy...
 &guy = create_sprite(258, 146, 0, 0, 0);
 sp_brain(&guy, 0);
 sp_base_walk(&guy, 410);
 sp_speed(&guy, 1);
 sp_timing(&guy, 0);
 //set starting pic
 sp_pseq(&guy, 417);
 sp_pframe(&guy, 1);
 //Coversation
 freeze(1);
 freeze(&guy);
 move_stop(1, 8, 222, 1);
 move_stop(&guy, 3, 265, 1);
 wait(250);
 if (&what == 1)
 {
  say_stop("`9我能帮你吗？", &guy);
  wait(250);
  say_stop("嗯，大概。", 1);
  wait(1000);
  say_stop("`9我的意思是！你来这里干什么？", &guy);
  wait(250);
  say_stop("你什么意思啊？", 1);
  wait(250);
  say_stop("`9我说你就这样闯进来，不打招呼不敲门！", &guy);
  say_stop("`9想干什么哪？", &guy);
  wait(500);
  sp_dir(1, 2);
  wait(500);
  sp_dir(1, 8);
  wait(1000);
  say_stop("那有什么问题吗？", 1);
  wait(250);
  say_stop("`9当然有，滚出去！", &guy);
 }
 if (&what == 2)
 {
  say_stop("`9我能帮你吗？", &guy);
  wait(250);
  say_stop("哈哈，不用了，只是近来看看而已。", 1);
  wait(750);
  say_stop("`9你胆子不小么。", &guy);
  wait(250);
  say_stop("哈哈，是吗，呵呵呵", 1);
  wait(250);
  say_stop("`9哼。", &guy);
  wait(250);
  say_stop("喂，老头，火葬场来人了，", 1);
  say_stop("他们说准备好了。", 1);
  wait(250);
  say_stop("`9哪泥？！滚出去！", &guy);
 }
 if (&what == 3)
 {
  say_stop("`9你要干什么？", &guy);
  wait(250);
  say_stop("我想找你女儿。", 1);
  wait(250);
  say_stop("`9你...走开", &guy);
 }
 //Leave.
 unfreeze(1);
 move_stop(1, 2, 640, 0);
  unfreeze(&guy);
}
